.node-story-form, .node-story-edit-form, .node-story-modal-form

  // Disable required fields markers
  label.form-required, .form-required
    &:after
      display: none

  // Remove Scenario step labels
  .field--name-field-step-type label, .field--name-field-step-text label
    display: none

  // Make fields inline with their labels
  label, .field--name-field-story select, .field--name-field-step-type select
    float: left

  // Make dropdowns more subtle
  .field--name-field-story select, .field--name-field-step-type select
    min-height: 0
    border: 0
    padding:
      top: 0
      bottom: 0
      right: 0.75em
  .field--name-field-story select
    padding-left: 0.4em
    width: 4.3em
  .field--name-field-step-type select
    padding-left: 0
    width: 4em

  // Make form fields into simple underlines
  input.form-text
    border-width: 0
    border-bottom: 1px solid #333
    min-width: 2em
    font-family: monospace

  // Make buttons into icons
  .paragraphs-actions
    input.button, input.button:hover
      background-color: transparent
      background: none
      width: 16px
      height: 18px
      border: none
      font-size: 0px
      position: relative
      right: 16px
    // Make buttons subtle, unless hovered-over
    .paragraphs-icon-button-wrapper
      color: lightgrey
      &:hover
        color: #777

  // Story layout
  .field--name-field-story
    margin-top: 2em
    tr.paragraph-type--story
      // Clean up Paragraphs cruft
      div.paragraph-top,
      .paragraph-bullet
        display: none
      // Indent Stories
      .paragraphs-subform
        margin-left: 1em
        padding-left: 1em
        // Add bar to indicate that Story is a single component
        border-left: 3px solid #777
        // Tighten up spacing
        .form-item
          margin-top: 0.5em
          margin-bottom: 0

  // Add colon after title labels
  .field--name-field-scenario, .field--name-title
    label.form-required:after, label:after
      vertical-align: baseline
      margin: 0
      content: ":"
      display: inline-block
      background-image: none

  // Remove "Show row weights" link, and deltas.
  .tabledrag-toggle-weight-wrapper,
  td.delta-order.tabledrag-hide
    display: none

  // Remove table header
  .field-multiple-table thead
    display: none

  // Remove revision info
  .entity-content-form-revision-information
    display: none

  // Remove embedded entity labels
  .paragraph-top
    div.paragraph-type,
    div.paragraph-info
      display: none

  // Tighten up Paragraph spacing
  div.form-wrapper.paragraphs-subform
    margin-top: -2.5em
  .field--widget-paragraphs td
    padding: 0

  // Remove divider between steps and user stories
  tr.paragraph-type--story,
  tr.paragraph-type--scenario,
  tr.paragraph-type--step
    border-bottom: none

  // Improve styling of drag handles
  a.tabledrag-handle
    div.handle
      background: none
      width: 10px
      height: 20px
      display: inline-block
      overflow: hidden
      line-height: 5px
      cursor: move
      padding: 3px 4px
      vertical-align: middle
      margin-top: -.7em
      margin-right: .3em
      //font-size: 12px
      //font-family: sans-serif
      //content: '....'
      letter-spacing: 2px
      color: #a6a6a6
      font-weight: 900
      &:before
        content: '.. .. .. ..'
  .warning.tabledrag-changed
    display: none

  // Improve styling of "Add" paragraph buttons
  .paragraphs-add-wrapper.button
    border: 0
    font-size: 11px
    padding: 0.2em 0.6em
    margin-top: -1em
    background-image: none
    background-color: #ccc
  .field--widget-paragraphs
    .field-multiple-table
      margin-bottom: 0  
